/***************************************************************************
 *   Copyright (C) 2004 by Reto Schoelly,,,                                *
 *   reto@reto-schoelly.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "defines.h"
 
#include "MainDialogBase.h"
#include "qstring.h"


struct mahjongg3d_settings
{
	int mouse_speed_slider_pos;
	int layout_pos;
	int tileset_pos;
	int background_pos;
	int rotation_type;
	bool shadow;
};


class MainDialog : public MainDialogBase
{
Q_OBJECT
	public:
	MainDialog(QWidget *parent, const char *name);
	~MainDialog();
	
	public slots:
	void NewGame();
	void ConfigureGame();
	void ReorderGame();
	void Undo();
	void Manual();
	void UpdatePairs();
	void ToggleShadows();
	void UpdateRandomSeed(QString &);
	void Hint();
	void Hiscores();
	void Settings();
	
	private:
	mahjongg3d_settings settings;
};
