/***************************************************************************
 *   Copyright (C) 2004 by Reto Schoelly,,,                                *
 *   reto@reto-schoelly.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OPENGLWIDGET_H
#define OPENGLWIDGET_H


/**
@author Reto Schoelly,,,
*/

#include "qgl.h"

#include "qevent.h"
#include "qstring.h"

class MahJonggBoard;
class MahJonggGL;


// this is the OpenGLWidget class providing all OpenGL functions of MahJongg 3D
class OpenGLWidget : public QGLWidget
{
Q_OBJECT
	public:
	OpenGLWidget(QWidget *parent, const char *name);
	~OpenGLWidget();
	
	MahJonggBoard *board;
	MahJonggGL *mgl;
	
	signals:
	void sendUpdatePairs();
	void sendRandomSeed(QString &);
	
	public slots:
	void initializeGL();
	void resizeGL(GLsizei width, GLsizei height);
	void paintGL();
	
	void mouseMoveEvent(QMouseEvent *e);
	void mousePressEvent(QMouseEvent *e);
	void mouseReleaseEvent(QMouseEvent *e);
};


#endif
