/***************************************************************************
 *   Copyright (C) 2004 by Reto Schoelly,,,                                *
 *   reto@reto-schoelly.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "hiscorelist.h"

#include "string.h"
#include "stdio.h"

#include "defines.h"


HiscoreList::HiscoreList()
{
	int n;
	
	for(n = 0; n < 10; n++)
	{
		score[n] = 0;
		memset(name[n], '\0', 50);
	}
}


HiscoreList::~HiscoreList()
{
}




/*!
    \fn HiscoreList::readFile(const char *filename)
 */
short HiscoreList::readFile(const char *filename)
{
	int n;
	
	for(n = 0; n < 10; n++)
	{
		score[n] = 0;
		memset(name[n], '\0', 50);
	}

	FILE *file;
	
	if((file = fopen(filename, "r")) == NULL) return -1;
	
	for(n = 0; n < 10; n++)
	{
		if(fgets(name[n], 50, file) == NULL) break;
		name[n][strlen(name[n])-1] = '\0';
		if(fscanf(file, "%d", &score[n]) == EOF) break;
		fgetc(file);
	}
	
	fclose(file);
	
	return 0;
}


/*!
    \fn HiscoreList::sort()
 */
bool HiscoreList::sort()
{
	int n;
	bool changes = true;
	
	while(changes)
	{
		changes = false;
		for(n = 0; n < 9; n++)
		{
			if(score[n] < score[n+1])
			{
				flipScores(n, n+1);
				changes = true;
			}
		}
	}
	
	return true;
}


/*!
    \fn HiscoreList::insertScore(int score, char *name)
 */
bool HiscoreList::insertScore(int newscore, const char *newname)
{
	score[9] = newscore;
	memcpy(name[9], newname, 50);
	sort();
	return true;
}


/*!
    \fn HiscoreList::saveFile()
 */
bool HiscoreList::saveFile(const char *filename)
{
	int n;
	FILE *file = fopen(filename, "w+");
	
	for(n = 0; n < 10; n++)
	{
		fputs(name[n], file);
		fprintf(file, " \n%d\n", score[n]);
	}
	fclose(file);
	return true;
}


/*!
    \fn HiscoreList::flipScores(int n1, int n2)
 */
void HiscoreList::flipScores(int n1, int n2)
{
	char strtemp[50];
	int scoretemp;
	
	memcpy(strtemp, name[n1], 50);
	memcpy(name[n1], name[n2], 50);
	memcpy(name[n2], strtemp, 50);
	scoretemp = score[n1];
	score[n1] = score[n2];
	score[n2] = scoretemp;
}
