/***************************************************************************
 *   Copyright (C) 2004 by Reto Schoelly,,,                                *
 *   reto@reto-schoelly.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "menubar.h"

MenuBar::MenuBar(QWidget *parent, const char *name)
 : QMenuBar(parent, name)
{
	QPopupMenu *gamemenu = new QPopupMenu(this);
	gamemenu->insertItem("&New game", this, SIGNAL(sendNewGame()));
	gamemenu->insertItem("Hi&scores for used layout", this, SIGNAL(sendHiscores()));
//	gamemenu->insertItem("&Load", this, SIGNAL(sendConfigureGame()));
	gamemenu->insertItem("&Reorder board", this, SIGNAL(sendReorderGame()));
	gamemenu->insertItem("&Undo", this, SIGNAL(sendUndo()));
	gamemenu->insertItem("&Hint", this, SIGNAL(sendHint()));
	gamemenu->insertSeparator();
	gamemenu->insertItem("&Quit", this, SIGNAL(sendQuit()));
	insertItem("&Game", gamemenu);
	
	QPopupMenu *settingsmenu = new QPopupMenu(this);
	settingsmenu->insertItem("General settings", this, SIGNAL(sendSettings()));
	insertItem("&Settings", settingsmenu);
	
	QPopupMenu *helpmenu = new QPopupMenu(this);
	helpmenu->insertItem("&Manual", this, SIGNAL(sendManual()));
	insertItem("&Help", helpmenu);
}


MenuBar::~MenuBar()
{
}


