/***************************************************************************
*   Copyright (C) 2004 by Reto Schoelly,,,                                *
*   reto@reto-schoelly.de                                                 *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include "defines.h"

#include "tile.h"
#include "tilegl.h"

#include "malloc.h"
#include "stdlib.h"


Tile::Tile()
{
	my_tile = NULL;
	
	my_state = TILE_LOCKED;
	
	special = -1;
}


bool Tile::setType(int tile_type)
{
	type = tile_type;
	return true;
}


bool Tile::setGLTile(TileGL *t)
{
	my_tile = t;
	
	return true;
}



Tile::~Tile()
{
}

bool Tile::setState(int state)
{
	if(
		(state == TILE_LOCKED) ||
		(state == TILE_EMPTY) ||
		(state == TILE_UNMARKED) ||
		(state == TILE_MARKED))
	{
		my_state = state;
		return true;
	}
	else return false;
}

bool Tile::setSpecial(int spec)
{
	special = spec;
	
	return true;
}

bool Tile::getSpecial(int *spec)
{
	*spec = special;
	
	return true;
}

int Tile::getState()
{
	return my_state;
}


int Tile::getType()
{
	return type;
}


TileGL *Tile::getTileGL()
{
	return my_tile;
}
