/***************************************************************************
 *   Copyright (C) 2004 by Reto Schoelly,,,                                *
 *   reto@reto-schoelly.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef TILEGL_H
#define TILEGL_H

/**
@author Reto Schoelly,,,
*/
class CBitmapFile;

class TileGL
{
public:
    TileGL(int fillet_resolution, int texture_resolution, const char *texture_filename);
    ~TileGL();
	
	bool initializeTile(bool shadow);
	unsigned int getDisplayListUnmarked();
	unsigned int getDisplayListMarked();
	unsigned int getTextureName();
	
private:
	CBitmapFile *bmfile;

	unsigned int display_list_unmarked;
	unsigned int display_list_marked;
	unsigned int texture_name;
	
	int fillet_res;
	int texture_res;
	char *texture_file;
};

#endif
